> ## Documentation Index
> Fetch the complete documentation index at: https://planetscale.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a service token

> Get information about a service token.
### Authorization
A service token   must have at least one of the following access   in order to use this API endpoint:

**Service Token Accesses**
 `read_service_tokens`





## OpenAPI

````yaml get /organizations/{organization}/service-tokens/{id}
openapi: 3.0.1
info:
  title: PlanetScale API
  description: |-

    <p>PlanetScale API</p>
    &copy; 2026 PlanetScale, Inc.
  version: v1
  x-copyright: '&copy; 2026 PlanetScale, Inc.'
servers:
  - url: https://api.planetscale.com/v1
security:
  - oauth2: []
tags:
  - name: BackupPolicies
    description: |2
                Resources for managing database backup policies.
  - name: Backups
    description: |2
                Resources for managing database branch backups.
  - name: Branch changes
    description: |2
                Resources for managing cluster changes.
  - name: Branch config changes
    description: |2
                Resources for managing branch-level configuration change requests.
  - name: Cluster extensions
    description: |2
                Resources for managing cluster extension configuration.
  - name: Branch log signatures
    description: |2
                Resources for retrieving branch log access signatures.
  - name: Cluster parameters
    description: |2
                Resources for managing cluster configuration parameters.
  - name: Database branch keyspaces
    description: |2
                Resources for managing keyspaces.
  - name: Database branch passwords
    description: |2
                Resources for managing database branch passwords.
  - name: Database Postgres IP restrictions
    description: |2
                Resources for managing Postgres IP restriction entries for databases.

                Note: This endpoint is only available for PostgreSQL databases. For MySQL databases, use the Database Branch Passwords endpoint.
  - name: Databases
    description: |2
                  Resources for managing databases within an organization.
  - name: Keyspace config changes
    description: |2
                Resources for managing keyspace-level configuration change requests.
  - name: Keyspace VSchemas
    description: |2
                Resources for managing VSchemas within a keyspace.
  - name: MaintenanceSchedules
    description: |2
                Resources for viewing database maintenance schedules for Vitess databases (Enterprise only).
  - name: MaintenanceWindows
    description: |2
                Resources for viewing maintenance windows for a Vitess database (Enterprise only).
  - name: OAuth applications
    description: |2
                Resources for managing OAuth applications.
  - name: OAuth tokens
    description: |2
                Resources for managing OAuth tokens.
  - name: Organization members
    description: |2
                Resources for managing organization members and their roles.
  - name: Organizations
    description: |2
                  Resources for managing organizations.
  - name: Bouncer resizes
    description: |2
                Resources for managing Postgres bouncer resize requests.
  - name: Bouncers
    description: |2
                Resources for managing postgres bouncers.
  - name: Roles
    description: |2
                Resources for managing role credentials.
  - name: Query Insights reports
    description: |2
                Resources for downloading query insights data.
  - name: Schema recommendations
    description: |2
                Resources for managing schema recommendations within a database.
  - name: Service tokens
    description: |2
                API endpoints for managing service tokens within an organization.
  - name: Shard config changes
    description: |2
                Resources for managing shard-level configuration change requests.
                Only available for custom-sharded keyspaces.
  - name: Traffic budgets
    description: |2
                Resources for managing traffic budgets.
  - name: Traffic rules
    description: |2
                Resources for managing traffic rules for a traffic budget.
  - name: Users
    description: |2
                Resources for managing users.
  - name: Workflows
    description: |2
                API endpoints for managing workflows.
  - name: Deploy requests
    description: |2
                  Resources for managing deploy requests.
  - name: Webhooks
    description: |2
                  Resources for managing database webhooks.
  - name: Invoices
    description: |2
                  Resources for managing invoices.
  - name: Team members
    description: |2
                  Resources for managing team memberships within an organization. Team members inherit access to databases assigned to their team.

                  Note: Teams managed through SSO/directory services cannot have members added or removed via API.
  - name: Organization teams
    description: |2
                  Resources for managing teams within an organization. Teams allow you to group members and grant them access to specific databases.

                  Note: Teams managed through SSO/directory services cannot be modified via API.
paths:
  /organizations/{organization}/service-tokens/{id}:
    get:
      tags:
        - Service tokens
      summary: Get a service token
      description: >+
        Get information about a service token.

        ### Authorization

        A service token   must have at least one of the following access   in
        order to use this API endpoint:


        **Service Token Accesses**
         `read_service_tokens`

      operationId: get_service_token
      parameters:
        - name: organization
          in: path
          required: true
          description: The name of the organization
          schema:
            type: string
        - name: id
          in: path
          required: true
          description: The ID of the service token
          schema:
            type: string
      responses:
        '200':
          description: Returns the service token
          headers: {}
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: The ID of the service token
                  name:
                    type: string
                    description: The name of the service token
                    nullable: true
                  display_name:
                    type: string
                    description: The display name of the service token
                  token:
                    type: string
                    description: The plaintext token. Available only after create.
                    nullable: true
                  plain_text_refresh_token:
                    type: string
                    description: The plaintext refresh token. Available only after create.
                    nullable: true
                  avatar_url:
                    type: string
                    description: The image source for the avatar of the service token
                  created_at:
                    type: string
                    description: When the service token was created
                  updated_at:
                    type: string
                    description: When the service token was last updated
                  expires_at:
                    type: string
                    description: When the service token will expire
                    nullable: true
                  last_used_at:
                    type: string
                    description: When the service token was last used
                    nullable: true
                  actor_id:
                    type: string
                    description: >-
                      The ID of the actor on whose behalf the service token was
                      created
                    nullable: true
                  actor_display_name:
                    type: string
                    description: >-
                      The name of the actor on whose behalf the service token
                      was created
                    nullable: true
                  actor_type:
                    type: string
                    description: >-
                      The type of the actor on whose behalf the service token
                      was created
                    nullable: true
                  service_token_accesses:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: The ID of the service token access
                        access:
                          type: string
                          description: The name of the service token access
                        description:
                          type: string
                          description: The description of the service token access
                        resource_name:
                          type: string
                          description: >-
                            The name of the resource the service token access
                            gives access to
                        resource_id:
                          type: string
                          description: >-
                            The ID of the resource the service token access
                            gives access to
                        resource_type:
                          type: string
                          description: >-
                            The type of the resource the service token access
                            gives access to
                        resource:
                          type: object
                          properties:
                            id:
                              type: string
                              description: The ID for the resource
                            name:
                              type: string
                              description: The name for the resource
                            created_at:
                              type: string
                              description: When the resource was created
                            updated_at:
                              type: string
                              description: When the resource was last updated
                            deleted_at:
                              type: string
                              description: When the resource was deleted, if deleted
                              nullable: true
                          required:
                            - id
                            - name
                            - created_at
                            - updated_at
                            - deleted_at
                      required:
                        - id
                        - access
                        - description
                        - resource_name
                        - resource_id
                        - resource_type
                        - resource
                    nullable: true
                  oauth_accesses_by_resource:
                    type: object
                    properties:
                      database:
                        type: object
                        properties:
                          databases:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: >-
                                    the name of the database the token has
                                    access to
                                id:
                                  type: string
                                  description: >-
                                    the id of the database the token has access
                                    to
                                organization:
                                  type: string
                                  description: the name of the database's organization
                                url:
                                  type: string
                                  description: the planetscale app url for the database
                              required:
                                - name
                                - id
                                - organization
                                - url
                          accesses:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: The name of the access scope
                                description:
                                  type: string
                                  description: The scope description
                              required:
                                - name
                                - description
                        required:
                          - databases
                          - accesses
                      organization:
                        type: object
                        properties:
                          organizations:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: the name of the organization
                                id:
                                  type: string
                                  description: the id of the organization
                                url:
                                  type: string
                                  description: the planetscale app url for the organization
                              required:
                                - name
                                - id
                                - url
                          accesses:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: The name of the access scope
                                description:
                                  type: string
                                  description: The scope description
                              required:
                                - name
                                - description
                        required:
                          - organizations
                          - accesses
                      branch:
                        type: object
                        properties:
                          branches:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: the name of the branch
                                id:
                                  type: string
                                  description: the id of the branch
                                database:
                                  type: string
                                  description: >-
                                    the name of the database the branch belongs
                                    to
                                organization:
                                  type: string
                                  description: >-
                                    the name of the organization the branch
                                    belongs to
                                url:
                                  type: string
                                  description: the planetscale app url for the branch
                              required:
                                - name
                                - id
                                - database
                                - organization
                                - url
                          accesses:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: The name of the access scope
                                description:
                                  type: string
                                  description: The scope description
                              required:
                                - name
                                - description
                        required:
                          - branches
                          - accesses
                      user:
                        type: object
                        properties:
                          users:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: the name of the user
                                id:
                                  type: string
                                  description: the id of the user
                              required:
                                - name
                                - id
                          accesses:
                            type: array
                            items:
                              type: object
                              properties:
                                name:
                                  type: string
                                  description: The name of the access scope
                                description:
                                  type: string
                                  description: The scope description
                              required:
                                - name
                                - description
                        required:
                          - users
                          - accesses
                    required:
                      - database
                      - organization
                      - branch
                      - user
                    nullable: true
                required:
                  - id
                  - name
                  - display_name
                  - avatar_url
                  - created_at
                  - updated_at
                  - expires_at
                  - last_used_at
                  - actor_id
                  - actor_display_name
                  - actor_type
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '500':
          description: Internal Server Error
components:
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://auth.planetscale.com/oauth/authorize
          tokenUrl: https://auth.planetscale.com/oauth/token
          scopes:
            email: Read user email
            openid: OpenID Connect scope
            profile: Read user profile
            read_databases: Read organization databases
            read_user: Read user
            read_organization: Read organization
            write_databases: Write organization databases
            write_user: Write user
            write_organization: Write organization
            branch:delete_backups: Delete backups
            branch:delete_branch: Delete a database branch
            branch:manage_passwords: Read, write, and delete branch passwords
            branch:manage_read_only_passwords: Read, write, and delete read only branch passwords
            branch:read_backups: Read backups
            branch:read_branch: Read a database branch
            branch:restore_backups: Restore this branch's backups to new branches
            branch:write_backups: Create and update backups
            branch:write_branch: Write a database branch
            database:approve_deploy_requests: Approve deploy requests in a database
            database:delete_backups: Delete backups
            database:delete_branches: Delete database branches
            database:delete_database: Delete a database
            database:delete_members: Delete members
            database:delete_production_branch_backups: Delete production backups
            database:delete_production_branches: Delete a production database branch
            database:demote_branches: Demote production database branches
            database:deploy_deploy_requests: Deploy deploy requests in a database
            database:manage_passwords: Read, write, and delete database branch passwords
            database:manage_production_branch_passwords: Read, write, and delete production branch passwords
            database:manage_production_read_only_passwords: >-
              Read, write, and delete production read only branch passwords in
              an organization
            database:manage_read_only_passwords: >-
              Read, write, and delete read only branch passwords in an
              organization
            database:promote_branches: Promote database branches
            database:read_backups: Read backups
            database:read_branches: Read database branches
            database:read_comments: Read deploy request comments in a database
            database:read_database: Read database information
            database:read_deploy_requests: Read deploy requests in a database
            database:read_members: Read members
            database:restore_backups: Restore backups to new branches
            database:restore_production_branch_backups: Restore production branch backups to new branches
            database:write_backups: Create and update backups
            database:write_branches: Write database branches
            database:write_comments: Create deploy request comments in a database
            database:write_database: Write database
            database:write_deploy_requests: Create and update deploy requests in a database
            database:write_members: Write members
            organization:approve_deploy_requests: Approve deploy requests in an organization
            organization:create_databases: Create organization databases
            organization:delete_backups: Delete backups in an organization
            organization:delete_branches: Delete branches in an organization
            organization:delete_databases: Delete organization databases
            organization:delete_members: Delete members in an organization
            organization:delete_organization: Delete organization
            organization:delete_production_branch_backups: Delete production backups in an organization
            organization:delete_production_branches: Delete a production branch in an organization
            organization:deploy_deploy_requests: Deploy deploy requests in an organization
            organization:manage_passwords: Read, write, and delete branch passwords in an organization
            organization:manage_production_branch_passwords: >-
              Read, write, and delete production branch passwords in an
              organization
            organization:manage_production_read_only_passwords: >-
              Read, write, and delete production read only branch passwords in
              an organization
            organization:manage_read_only_passwords: >-
              Read, write, and delete read only branch passwords in an
              organization
            organization:promote_branches: Promote branches in an organization
            organization:read_backups: Read backups in an organization
            organization:read_branches: Read branches in an organization
            organization:read_comments: Read deploy request comments in an organization
            organization:read_databases: Read organization databases
            organization:read_deploy_requests: Read deploy requests in an organization
            organization:read_invoices: Read organization invoices
            organization:read_members: Read members in an organization
            organization:read_organization: Read organization
            organization:restore_backups: Restore backups to new branches in an organization
            organization:restore_production_branch_backups: >-
              Restore production branch backups to new branches in an
              organization
            organization:write_backups: Create and update backups in an organization
            organization:write_branches: Write branches in an organization
            organization:write_comments: Create deploy request comments in an organization
            organization:write_databases: Write organization databases
            organization:write_deploy_requests: Create and update deploy requests in an organization
            organization:write_members: Write members in an organization
            organization:write_organization: Write organization
            user:read_organizations: Read a user's organizations
            user:read_user: Read user
            user:write_user: Write user

````